He tomado más de alguien alojado sitio de WordPress. ¿Cómo puedo saber qué versión que se está ejecutando?

InformationsquelleAutor leora | 2009-09-07

16 Comentarios

  1. 245

    Mira en wp-includes/version.php

    /**
     * The WordPress version string
     *
     * @global string $wp_version
     */
    $wp_version = '2.8.4';
  2. 69

    A menos que se editó el código para eliminar esto, usted debería ser capaz de ver código fuente en el sitio y busca esta etiqueta meta:

    <meta name="generator" content="WordPress 2.7.1" /> 

    Que le dará la versión.

    • Excelente tip que permite revisar rápidamente sin levantar la vista de las credenciales para cualquier uno de los 100 cuentas de clientes e iniciar sesión en el FTP! Incluso de una forma más rápida es «haga Clic en la W logotipo» de acuerdo a la siguiente respuesta: de nuevo, si usted tiene credenciales en la lista 😉
    • Hizo este cambio? Mi sitio de WordPress no tiene una meta name=»generator» etiqueta en la fuente.
    • La etiqueta meta puede ser eliminado por un tema o plugin para que la versión de WordPress está oculta, por lo que no puede ser dirigido con la intención maliciosa por aquellos que buscan mayores/inestable verisons. Los otros métodos mencionados aquí todavía puede trabajar.
    • Me estoy poniendo el menos útil <meta name="generator" content="WordPress.com" /> Supongo que tal vez esto no funciona para los sitios que viven en wordpress.com?
  3. 35

    Sobre la Panel de Admin, usted puede encontrar un cuadro llamado «Ahora«. Allí se puede ver la versión de la instalación de WordPress. He visto este resultado en WordPress 3.2.1. También puede ver esto en la versión 3.7.1

    ¿Cómo puedo saber qué versión de WordPress se está ejecutando?

    ACTUALIZACIÓN:

    En WP Versión 3.8.3

    ¿Cómo puedo saber qué versión de WordPress se está ejecutando?

    En WP Versión 3.9.1 Admin Lado, Se puede ver la versión haciendo clic en el WP logotipo que se encuentra en la parte superior izquierda de la posición.

    ¿Cómo puedo saber qué versión de WordPress se está ejecutando?

    Puede utilizar yoursitename/readme.html

    En la Administración de WordPress Pie de página en el lado Derecho verá la información de la versión(Versión 3.9.1).

    ¿Cómo puedo saber qué versión de WordPress se está ejecutando?

    Usted puede obtener la versión de WordPress usando el siguiente código:

    <?php bloginfo('version'); ?>

    El siguiente archivo es tener todos los detalles de la versión de

    wp-includes/version.php   

    Actualización de WP 4.1.5

    En WP 4.1.5, Si era la última versión de WP en el pie de página de la parte derecha, se mostrará la versión tal y como es. Si no, se mostrará la última versión de WP con el enlace para actualizar.

    De verificación de la captura de pantalla siguiente.

    ¿Cómo puedo saber qué versión de WordPress se está ejecutando?

    • yoursitename/readme.html también le ayudará a encontrar el Sitio de la versión de wordpress
    • Creo que esta es LA respuesta, suponiendo que tiene el login/pass. En mi humilde opinión. Sólo he eliminado readme.html (sin ánimo de ofender a Matt, LOL)
    • Esto sólo será visible mientras no hay ninguna actualización para WordPress está disponible.
    • Lo que usted está tratando de decir acerca de la respuesta?
    • Que esta respuesta es sólo trabajando mientras no hay ninguna actualización para la instancia de WordPress está disponible. WordPress cuando detecta una actualización disponible que reemplaza todas las versiones de muestra con un «Hay una actualización disponible» mensaje.
    • Según la pregunta, el cuestionario se preguntó a qué versión de wordpress es un sitio a tener? no mostrar cual es la última versión de wordpress.

  4. 23

    Para cualquier sitio de wordpress, usted puede ir a http://example.com/feed y comprobar la siguiente etiqueta en el archivo xml para ver el número de versión:

    <generator>http://wordpress.org/?v=3.7</generator>

    Aquí, 3.7 es la versión instalada.

    • Esto funciona incluso si no hay ningún generador de etiqueta en el código HTML de salida. Puede ser que es específico para el sitio web que me interesa, pero funciona para mi escenario de todos modos.
  5. 20

    Cada WP instalar tiene un readme.html archivo.

    Tan solo tipo de http://www.yourdomain.com/readme.html

    • Falso. No todos los instale. No recuerdo que esto en versiones anteriores. También revelador versión de WordPress para el mundo es una amenaza para la seguridad. Todo el mundo debería eliminar readme.html la OMI.
    • Comentario de arriba por @PJ-Brunet TRAE HASTA 2 PUNTOS BUENOS, PERO, para ambos exactitud & respeto, sus AFIRMACIONES deben SER discretos, como debería haber hecho desde el principio. En particular, a través de este & mi próximo 3 comentarios, 3 CORRECCIONES: 1º, a partir de » Falso.’ (por lo que sugiere en general falsa) es engañosa, de hecho, a la inversa, como la respuesta de aproximación (por @user1939291) NO funciona (a menudo) + -fuera útil + 1er he oído hablar de él (por eso de dar respuesta +1) así que en lugar de que el comentario debe comenzar a decir » si esto funciona (bueno, al menos a MENUDO) por lo que un método de la pena añadir, PERO lo que podría parecer/ser un problema para los casos en que no funciona.’. …
    • 2do, si el método no siempre funciona, decir de donde idealmente exactamente; por otra parte diciendo simplemente » no recuerdo esta en las versiones anteriores.’ NO es, obviamente, una prueba sólida para decir fuerte reclamo ‘No todos los instale.’ …aunque, desde luego, el método no funciona si el archivo ha sido eliminado como el comentarista (en mi humilde opinión equivocadamente) sugiere a los usuarios haciendo, de hecho, sugieren que ‘Todos’ hacer, de manera que la mayoría de los graves punto, 3, ‘revelando versión de WordPress para el mundo es una amenaza para la seguridad.» es demasiado fuerte demanda, incluyendo engañosa como una manera de conseguir una buena seguridad, …como 4 correcciones, de creciente importancia: …
    • …(a) que es una grave amenaza para la seguridad en SÓLO {notablemente limitada de caso: de donde (versiones muy impredecible (false) +) atacante sabe que los agujeros de seguridad en la versión + utiliza muy significativamente-mejor selección de explotar, pero sospecho que la mayoría de los ataques automatizados ya lo intente con todos/muchos de los exploits, independientemente de la versión}, por otra parte (b) con (el corto & muy predecible) versión # como un combo # es apenas una protección combo #(!), por otra parte (c) ocultación (de esta o de la particular de la CMS en general) {seguridad-a través de-la oscuridad de modo que se consideran débiles en.wikipedia.org/wiki/Security_through_obscurity#Criticism }, …
    • …por otra parte (d) {mundo exterior, capaz de determinar qué CMS es un sitio ejecutando} es, a su dueño, casi siempre, en el peor, un menor de edad si cualquier pérdida (podría ser la ganancia) pero, para el mundo, muy valiosa, especialmente para otros desarrolladores, para mostrar lo que funciona & cómo hacer las cosas, incluyendo lo WP puede hacer; ASÍ que más bien sugieren que la gente NO la ELIMINE O OTROS ARCHIVOS OFICIALES (a menos que oficial o excepciones); en lugar de seguridad para el uso de {los métodos oficiales: esp mantener WP arriba-a-fecha & respaldados} que ha sido suficiente para que todos los que he visto, pero si todavía no es suficiente, a continuación, añadir WP escáner de malware(s) & tapón(s).
    • El destino Arquitecto, su argumento no se sostiene. Leer el artículo de la Wikipedia que se cita (última línea de la apertura, «sólo el mecanismo de seguridad,» sección y la siguiente después de su ancla, que directamente refuta sus reclamos). Su «sospecha» de que los ataques son más automatizada es conjetura y la mala práctica (los ataques entre el descubrimiento y la aplicación de un parche implementado obtener las mayores tasas de éxito). @PJBrunet es correcta en su primer postulan y la segunda que es una buena recomendación (mejor que el tuyo).

  6. 10

    La manera más fácil sería para ver el archivo léame que se incluye con cada versión de WordPress en sí.

    http://example.com/readme.html

    • sí, es genial, porque en algunos casos vemos version.php vacío
  7. 9

    Si usted vino aquí para averiguar acerca de cómo comprobar la versión de WordPress mediante programación, entonces usted puede hacerlo con el siguiente código.

    //Get the WP Version global.
    global $wp_version;
    
    //Now use $wp_version which will return a string value.
    echo '<pre>' . var_dump( $wp_version ) . '</pre>';
    //Output: string '4.6.1' (length=5)

    Saludos!

    • La respuesta perfecta +1, actualizado: @Ahmad awais es usted. oh, este mundo es demasiado pequeño :-p
  8. 7

    En el panel de Administración en el pie de página verá las palabras «de WordPress x.x», donde x.x es el número de versión 🙂

    Alternativamente, usted puede eco de la WP_VERSION constante en el script, le toca a usted. El primero es mucho más rápido y más fácil.

    • Tal vez así en 2009, pero a partir de hoy, no.
    • No hay WP_VERSION constante en las nuevas versiones de WordPress. Utilizar el global $wp_version o get_bloginfo('version') (que de hecho eco de la global $wp_version…)
  9. 6

    Porque no puedo comentar a @Michelle ‘s respuesta, dejo mi truco aquí.

    En lugar de comprobar la versión de la etiqueta meta que generalmente es eliminado por el tema personalizado.

    Comprobar la rss feed por anexar /feed a casi cualquier tipo de enlace desde el sitio, a continuación, busque algunas palabras clave (wordpress, generator), usted tendrá una mejor oportunidad.

    <lastBuildDate>Fri, 29 May 2015 10:08:40 +0000</lastBuildDate>
    <sy:updatePeriod>hourly</sy:updatePeriod>
    <sy:updateFrequency>1</sy:updateFrequency>
    <generator>http://wordpress.org/?v=4.2.2</generator>
    • Esta era la única alternativa que trabajó en mi caso
  10. 5

    puede encontrar en el Panel At a Glance cuadro

    si esa caja oculta – haga clic en screen options en la parte superior derecha de la pantalla y comprobar At a Glance

    ¿Cómo puedo saber qué versión de WordPress se está ejecutando?

  11. 3

    Abrir el blog, de Verificación de origen una vez que el blog está abierto. Debe tener una etiqueta meta como:

    <meta name="generator" content="WordPress 2.8.4" />
    • yo no veo esto en mi página de origen
    • Ambos son la misma respuesta, el tuyo parece ser un poco después, algunas personas pueden creer que acaba de copiar. (aunque estoy seguro de que sólo era un poco más lento para responder ;)). Te di un +1 por la buena respuesta aunque 🙂
  12. 2

    A partir de la experiencia con WordPress 3.8.3:

    (1) inicio de Sesión como administrador
    (2) haga Clic en el W de menú en la esquina superior izquierda
    (3) haga Clic en el elemento de menú «Acerca de WordPress».

    Esto te llevará a …/wp-admin/about.php

    No va a decir «Bienvenido a WordPress 3.8.3»

  13. 2

    Sé que estoy super tarde con respecto a este tema pero no esta fácil de usar la biblioteca, donde usted puede conseguir fácilmente los números de versión de Worpress, PHP, Apache y MySQL, todo-en-uno.

    Se llama el WordPress Medio Ambiente (W18T) biblioteca

    <?php
    include_once 'W18T.class.php';
    $environment = new W18T();
    echo $environment;
    ?>

    Salida

    {
        "platform": {
            "name": "WordPress",
            "version": "4.9.1"
        },
        "interpreter": {
            "name": "PHP",
            "version": "7.2.0"
        },
        "web_server": {
            "name": "Apache",
            "version": "2.4.16"
        },
        "database_server": {
            "name": "MySQL",
            "version": "5.7.20"
        },
        "operating_system": {
            "name": "Darwin",
            "version": "17.0.0"
        }
    }

    Espero te sirva de ayuda.

Dejar respuesta

Please enter your comment!
Please enter your name here